# Command: drand

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    drand - Generate a random double number.

Synopsis:

    rangen drand -> double

Examples:

      SLI ] rngdict /knuthran get 1234567 CreateRNG /rng Set
      SLI ] [ 4 ] { pop rng drand } Table ==
      [6.922545e-01 1.587092e-01 8.004862e-01 5.062180e-01]

Description:

    drand uses the supplied random number generator to generate
      a random number in [0, 1).

SeeAlso:

- irand
- CreateRNG
- seed

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/librandom.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative